<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Les expressions régulières</title>
    <link rel="stylesheet" href="../css/cours.css">
    <script src='js/regexp2.js' async></script>
    <style>
        p {
            margin-top:30px;
        }
    </style>
</head>
<body>
    <h1>Les expression régulières raccourcies</h1>
    <p id='p0'></p>
    <p id='p1'></p>


    <table>
        <thead>
        <tr>
            <th>Classe abrégée</th>
            <th>Description</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>\w</td>
            <td>Représente tout caractère de « mot » (caractère alphanumérique + tiret bas). Équivalent à [a-zA-Z0-9_]</td>
        </tr>
        <tr>
            <td>\W</td>
            <td>Représente tout caractère qui n’est pas un caractère de « mot ». Equivalent à [^a-zA- Z0-9_]</td>
        </tr>
        <tr>
            <td>\d</td>
            <td>Représente un chiffre. Équivalent à [0-9]</td>
        </tr>
        <tr>
            <td>\D</td>
            <td>Représente tout caractère qui n’est pas un chiffre. Équivalent à [^0-9]</td>
        </tr>
        <tr>
            <td>\s</td>
            <td>Représente un caractère blanc (espace, retour chariot ou retour à la ligne)</td>
        </tr>
        <tr>
            <td>\S</td>
            <td>Représente tout caractère qui n’est pas un caractère blanc</td>
        </tr>
        <tr>
            <td>\t</td>
            <td>Représente une espace (tabulation) horizontale</td>
        </tr>
        <tr>
            <td>\v</td>
            <td>Représente une espace verticale</td>
        </tr>
        <tr>
            <td>\n</td>
            <td>Représente un saut de ligne</td>
        </tr>
        </tbody>
    </table>
</body>
</html>